Google Web Toolkit
Search Google Code:

# Interface HasText

public interface HasText
// Extended by `HasHTML`
// Implemented by `CustomButton.Face`, `Label`, `SuggestBox`, `TextBoxBase`
An object that implements this interface contains text, which can be set and retrieved using these methods.

## Methods

getText() | Gets this object's text.
setText(String) | Sets this object's text.

## Method Detail

### getText

public String getText()
Gets this object's text.

#### Return Value

the object's text

### setText

public void setText(String text)
Sets this object's text.

#### Parameters

text
  the object's new text